
.page {
    display: flex;
    flex: 1 1 auto;
    flex-direction: column;
    margin: 0px 40px;
    row-gap: 5px;
}

.text_header {
    font-size: 20pt;
    margin: 20px;
    font-variant: all-petite-caps;
}

.expand_button {
    cursor: pointer;
    text-decoration: underline;
}

.example_group {
    display: flex;
    flex: 1 1 0px;
    border-radius: 15px;
    background: #eee;
    padding: 10px;
}

.example_group:last-child {
    margin-bottom: 50px;
}

.example_content {
    display: flex;
    flex: 1 1 auto;
    flex-direction: column;
}

.example_number_container {
    position: relative;
}

.example_number {
    position: absolute;
    border-radius: 50%;
    background: #f00;
    font-size: 10pt;
    width: 18px;
    height: 18px;
    display: flex;
    color: #fff;
    justify-content: center;
    top: -5px;
    left: -5px;
    z-index: 1;
}

.autocomplete_keyword {
}

.demo_description {
    margin-left: 20px;
    margin-right: 20px;
}

.concept_info {
    display: flex;
    flex-direction: column;
    padding: 10px;
    row-gap: 5px;
}

.concept_info select {
	border-radius: 5px;
    padding: 2px;
}

.concept_info_row {
    display: flex;
    padding-bottom: 5px;
    border-bottom: 1px solid #c9c9c9;
}

.concept_info_row > div:first-child {
    min-width: 250px;
    font-weight: bold;
}

.concept_info_row:last-child {
    border-bottom: unset;
    padding-bottom: unset;
}

.concept_info_combinations {
    display: flex;
    column-gap: 10px;
}

.concept_info_combinations > div {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
    row-gap: 5px;
}

.concept_info_sub_title {
    font-weight: bold;
}

.graphql_query {
    display: flex;
    flex-direction: column;
    background: #333;
    color: #fff;
    padding: 5px;
    border-radius: 5px;
    white-space: pre;
}

.graphql_query div {
    display: inline;
}

.json_blob_container {
    display: flex;
    column-gap: 10px;
    row-gap: 10px;
    overflow: auto;
    margin-top: 5px;
}

.info_group {
    padding-right: 10px;
    padding-left: 10px;
    overflow: hidden;
}

.info_content {
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    row-gap: 20px;
}

.info_header {
    display: flex;
    column-gap: 5px;
}

.info_number {
    position: unset;
    top: unset;
    left: unset;
}

.info_page {
    display: flex;
    flex-direction: column;
}

.info_api {
    margin-top: 5px;
}

.page_description {
    display: flex;
    flex-direction: column;
}

.page_description > div {
    flex: 1 1 0;
}

.page_description .description {
    white-space: pre-line;
}

.page_description .buttons {
    margin-top: 10px;
    display: flex;
    column-gap: 10px;
}

.page_description .button {
    cursor: pointer;
    user-select: none;
    font-weight: bold;
    border: 2px solid #555;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    text-align: center;
    color: #555;
}

.page_description .button:hover {
    background: #fff;
}

.page_description .button.active {
    border-color: #f33;
    color: #f33;
}

.page_description .button.inactive {
    border-color: #f33;
    pointer-events: none;
    display: inline-block;
    margin-right: 5px;
}

.page_section_offset {
    margin-top: 20px;
}

.api_page_1 > div:nth-child(1) {
    color: #00ff37;
}

.api_page_2 > div:nth-child(2) {
    color: #00ff37;
}

.api_page_3 > div:nth-child(3),
.api_page_3 > div:nth-child(4) {
    color: #00ff37;
}

.api_page_4 > div:nth-child(3),
.api_page_4 > div:nth-child(4),
.api_page_4 > div:nth-child(5),
.api_page_4 > div:nth-child(7),
.api_page_4 > div:nth-child(8),
.api_page_4 > div:nth-child(9),
.api_page_4 > div:nth-child(10),
.api_page_4 > div:nth-child(11),
.api_page_4 > div:nth-child(12),
.api_page_4 > div:nth-child(13),
.api_page_4 > div:nth-child(14) {
    color: #00ff37;
}